const { chainIds } = require('./network-info')

exports.BLOCK_RANGE_LIMITATION = Object.freeze({
  [chainIds['binance-testnet']]: 10000,
  [chainIds['avalanche-fuji']]: 2048,
})

exports.getBlockRangeLimitation = ({ chainId }) => {
  return this.BLOCK_RANGE_LIMITATION?.[chainId] || 2000
}
